cascading.flow.planner.iso.expression

## Class TypeExpression<Type>

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.TypeExpression<Type>

- All Implemented Interfaces:
    Expression<FlowElement>
  Direct Known Subclasses:
    FlowElementExpression, NonSafeOperationExpression, OperationExpression

      public class TypeExpression<Type>
      extends ElementExpression

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypeExpression.Topo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeExpression(boolean exact, java.lang.Class<? extends Type> type)`
    `TypeExpression(boolean exact, java.lang.Class<? extends Type> type, TypeExpression.Topo topo)`
    `TypeExpression(java.lang.Class<? extends Type> type)`
    `TypeExpression(java.lang.Class<? extends Type> type, TypeExpression.Topo topo)`
    `TypeExpression(ElementCapture capture, boolean exact, java.lang.Class<? extends Type> type)`
    `TypeExpression(ElementCapture capture, boolean exact, java.lang.Class<? extends Type> type, TypeExpression.Topo topo)`
    `TypeExpression(ElementCapture capture, java.lang.Class<? extends Type> type)`
    `TypeExpression(ElementCapture capture, java.lang.Class<? extends Type> type, TypeExpression.Topo topo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`
    `protected java.lang.Class<? extends Type>` | `getType(FlowElement flowElement)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

      `getCapture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeExpression

          public TypeExpression(ElementCapture capture,
                        boolean exact,
                        java.lang.Class<? extends Type> type,
                        TypeExpression.Topo topo)

    - #### TypeExpression

          public TypeExpression(ElementCapture capture,
                        boolean exact,
                        java.lang.Class<? extends Type> type)

    - #### TypeExpression

          public TypeExpression(ElementCapture capture,
                        java.lang.Class<? extends Type> type,
                        TypeExpression.Topo topo)

    - #### TypeExpression

          public TypeExpression(ElementCapture capture,
                        java.lang.Class<? extends Type> type)

    - #### TypeExpression

          public TypeExpression(boolean exact,
                        java.lang.Class<? extends Type> type,
                        TypeExpression.Topo topo)

    - #### TypeExpression

          public TypeExpression(boolean exact,
                        java.lang.Class<? extends Type> type)

    - #### TypeExpression

          public TypeExpression(java.lang.Class<? extends Type> type,
                        TypeExpression.Topo topo)

    - #### TypeExpression

          public TypeExpression(java.lang.Class<? extends Type> type)

  - ### Method Detail

    - #### getType

          protected java.lang.Class<? extends Type> getType(FlowElement flowElement)

    - #### applies

          public boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        FlowElement flowElement)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ElementExpression`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.